> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# buildops-accounting

> BuildOps Accounting - invoices, payments, GL accounts, payment types, accounting attributes, and webhooks

**Server path:** `/buildops-accounting` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                                                | Description                                              |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| [`buildops-accounting_attribute_controller_find_all_for_tenant`](#buildops-accounting_attribute_controller_find_all_for_tenant)                                     | Find all Accounting Attributes for a Tenant              |
| [`buildops-accounting_attribute_controller_find_one_for_tenant_and_field_name`](#buildops-accounting_attribute_controller_find_one_for_tenant_and_field_name)       | Find one Accounting Attribute for a Tenant               |
| [`buildops-accounting_attribute_controller_setup_accounting_attribute_for_tenant`](#buildops-accounting_attribute_controller_setup_accounting_attribute_for_tenant) | Create an Accounting Attribute for a Tenant              |
| [`buildops-accounting_attribute_values_controller_find_by_parent_id`](#buildops-accounting_attribute_values_controller_find_by_parent_id)                           | Find Accounting Attribute Values for a parent entity     |
| [`buildops-accounting_attribute_values_controller_post_by_parent_id`](#buildops-accounting_attribute_values_controller_post_by_parent_id)                           | Put Accounting Attribute Values for a parent entity      |
| [`buildops-accounting_attribute_values_controller_put_by_parent_id`](#buildops-accounting_attribute_values_controller_put_by_parent_id)                             | Put Accounting Attribute Values for a parent entity      |
| [`buildops-accounting_create_v1_payments_invoices`](#buildops-accounting_create_v1_payments_invoices)                                                               | Allocate a Payment to an Invoice                         |
| [`buildops-accounting_delete_v1_notifications_registrations_id`](#buildops-accounting_delete_v1_notifications_registrations_id)                                     | Delete a webhook registration                            |
| [`buildops-accounting_get_v1_gl_account_gl_account_id`](#buildops-accounting_get_v1_gl_account_gl_account_id)                                                       | Get GL-Account by ID                                     |
| [`buildops-accounting_get_v1_inventory_accounting_integration_id`](#buildops-accounting_get_v1_inventory_accounting_integration_id)                                 | \[DEPRECATED] Get Inventory Accounting Integration by Id |
| [`buildops-accounting_get_v1_invoices`](#buildops-accounting_get_v1_invoices)                                                                                       | Get Invoices List                                        |
| [`buildops-accounting_get_v1_invoices_invoice_id`](#buildops-accounting_get_v1_invoices_invoice_id)                                                                 | Get Invoice By Invoice ID                                |
| [`buildops-accounting_get_v1_notifications_registrations`](#buildops-accounting_get_v1_notifications_registrations)                                                 | Get Registrations List by tenantId                       |
| [`buildops-accounting_get_v1_payment_type_by_id`](#buildops-accounting_get_v1_payment_type_by_id)                                                                   | Get PaymentTypes by ID                                   |
| [`buildops-accounting_get_v1_payment_types`](#buildops-accounting_get_v1_payment_types)                                                                             | Get PaymentTypes List                                    |
| [`buildops-accounting_get_v1_payments_payment_id`](#buildops-accounting_get_v1_payments_payment_id)                                                                 | Get Payment and associated line items by paymentId       |
| [`buildops-accounting_get_v1_payments_payment_id_line_items`](#buildops-accounting_get_v1_payments_payment_id_line_items)                                           | Get Payment line items list                              |
| [`buildops-accounting_get_v1_payments_payment_id_line_items_payment_line_item_id`](#buildops-accounting_get_v1_payments_payment_id_line_items_payment_line_item_id) | Get Payment line item by ID                              |
| [`buildops-accounting_get_v1_signing_public_key`](#buildops-accounting_get_v1_signing_public_key)                                                                   | Get current public key in PEM format                     |
| [`buildops-accounting_payment_controller_create_external`](#buildops-accounting_payment_controller_create_external)                                                 | External create Payment                                  |
| [`buildops-accounting_post_glaccount`](#buildops-accounting_post_glaccount)                                                                                         | Add or update general ledger accounts                    |
| [`buildops-accounting_post_v1_payment_types`](#buildops-accounting_post_v1_payment_types)                                                                           | Create PaymentType                                       |
| [`buildops-accounting_post_v1_payments`](#buildops-accounting_post_v1_payments)                                                                                     | Create a Payment                                         |
| [`buildops-accounting_post_v1_syncstatus`](#buildops-accounting_post_v1_syncstatus)                                                                                 | Update Accounting Attributes by Entity                   |
| [`buildops-accounting_put_v1_gl_account`](#buildops-accounting_put_v1_gl_account)                                                                                   | Update GL-Account by ID                                  |
| [`buildops-accounting_put_v1_notifications_registrations`](#buildops-accounting_put_v1_notifications_registrations)                                                 | Register a new callback                                  |
| [`buildops-accounting_put_v1_payment_types_id`](#buildops-accounting_put_v1_payment_types_id)                                                                       | Update PaymentType                                       |
| [`buildops-accounting_put_v1_payments_payment_id_line_items_line_item_id`](#buildops-accounting_put_v1_payments_payment_id_line_items_line_item_id)                 | Update Payment line item                                 |

***

## buildops-accounting\_attribute\_controller\_find\_all\_for\_tenant

Find all Accounting Attributes for a Tenant

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_attribute\_controller\_find\_one\_for\_tenant\_and\_field\_name

Find one Accounting Attribute for a Tenant

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `fieldName` | string | Yes      | —       | Field Name  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldName": {
        "type": "string",
        "description": "Field Name"
      }
    },
    "required": [
      "PCID",
      "fieldName"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_attribute\_controller\_setup\_accounting\_attribute\_for\_tenant

Create an Accounting Attribute for a Tenant

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `fieldName` | string | Yes      | —       | Field Name  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldName": {
        "type": "string",
        "description": "Field Name"
      }
    },
    "required": [
      "PCID",
      "fieldName"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_attribute\_values\_controller\_find\_by\_parent\_id

Find Accounting Attribute Values for a parent entity

**Parameters:**

| Parameter          | Type   | Required | Default | Description        |
| ------------------ | ------ | -------- | ------- | ------------------ |
| `parentEntityId`   | string | Yes      | —       | Parent Entity Id   |
| `parentEntityType` | string | Yes      | —       | Parent Entity Type |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "parentEntityId": {
        "type": "string",
        "description": "Parent Entity Id"
      },
      "parentEntityType": {
        "type": "string",
        "description": "Parent Entity Type"
      }
    },
    "required": [
      "PCID",
      "parentEntityId",
      "parentEntityType"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_attribute\_values\_controller\_post\_by\_parent\_id

Put Accounting Attribute Values for a parent entity

**Parameters:**

| Parameter          | Type   | Required | Default | Description        |
| ------------------ | ------ | -------- | ------- | ------------------ |
| `parentEntityId`   | string | Yes      | —       | Parent Entity Id   |
| `parentEntityType` | string | Yes      | —       | Parent Entity Type |
| `body`             | object | Yes      | —       | Request body       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "parentEntityId": {
        "type": "string",
        "description": "Parent Entity Id"
      },
      "parentEntityType": {
        "type": "string",
        "description": "Parent Entity Type"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "parentEntityId",
      "parentEntityType",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_attribute\_values\_controller\_put\_by\_parent\_id

Put Accounting Attribute Values for a parent entity

**Parameters:**

| Parameter          | Type   | Required | Default | Description        |
| ------------------ | ------ | -------- | ------- | ------------------ |
| `parentEntityId`   | string | Yes      | —       | Parent Entity Id   |
| `parentEntityType` | string | Yes      | —       | Parent Entity Type |
| `body`             | object | Yes      | —       | Request body       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "parentEntityId": {
        "type": "string",
        "description": "Parent Entity Id"
      },
      "parentEntityType": {
        "type": "string",
        "description": "Parent Entity Type"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "parentEntityId",
      "parentEntityType",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_create\_v1\_payments\_invoices

Allocate a Payment to an Invoice

**Parameters:**

| Parameter              | Type   | Required | Default | Description           |
| ---------------------- | ------ | -------- | ------- | --------------------- |
| `paymentId`            | string | Yes      | —       | Payment ID            |
| `accountingAttributes` | object | No       | —       | Accounting Attributes |
| `appliedAmount`        | number | No       | —       | Applied Amount        |
| `invoiceId`            | string | Yes      | —       | Invoice Id            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "paymentId": {
        "type": "string",
        "description": "Payment ID"
      },
      "accountingAttributes": {
        "type": "object",
        "description": "Accounting Attributes",
        "properties": {
          "accountingRefId": {
            "type": "string",
            "description": "Accounting Ref Id"
          }
        }
      },
      "appliedAmount": {
        "type": "number",
        "description": "Applied Amount"
      },
      "invoiceId": {
        "type": "string",
        "description": "Invoice Id"
      }
    },
    "required": [
      "PCID",
      "paymentId",
      "invoiceId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_delete\_v1\_notifications\_registrations\_id

Delete a webhook registration

**Parameters:**

| Parameter | Type   | Required | Default | Description     |
| --------- | ------ | -------- | ------- | --------------- |
| `id`      | string | Yes      | —       | Registration ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Registration ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_gl\_account\_gl\_account\_id

Get GL-Account by ID

**Parameters:**

| Parameter     | Type   | Required | Default | Description            |
| ------------- | ------ | -------- | ------- | ---------------------- |
| `glAccountId` | string | Yes      | —       | glAccountId identifier |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "glAccountId": {
        "type": "string",
        "description": "glAccountId identifier"
      }
    },
    "required": [
      "PCID",
      "glAccountId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_inventory\_accounting\_integration\_id

\[DEPRECATED] Get Inventory Accounting Integration by Id

**Parameters:**

| Parameter | Type   | Required | Default | Description                         |
| --------- | ------ | -------- | ------- | ----------------------------------- |
| `id`      | string | Yes      | —       | Inventory Accounting Integration Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Inventory Accounting Integration Id"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_invoices

Get Invoices List

**Parameters:**

| Parameter        | Type   | Required | Default | Description                                                                                                                            |
| ---------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `page`           | number | No       | —       | Page that you want to filter                                                                                                           |
| `page_size`      | number | No       | —       | How many items should come in the request                                                                                              |
| `start`          | string | No       | —       | ISO 8601 string to filter data based on last modified date time                                                                        |
| `end`            | string | No       | —       | ISO 8601 string to filter data based on last modified date time                                                                        |
| `status`         | string | No       | —       | The status of the entity                                                                                                               |
| `dateFilterType` | string | No       | —       | The filter type for the filtering based on different dates (possible values issuedDate, dueDate, createdDateTime, lastUpdatedDateTime) |
| `invoice_number` | string | No       | —       | Search invoice by invoice number                                                                                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page that you want to filter"
      },
      "page_size": {
        "type": "number",
        "description": "How many items should come in the request"
      },
      "start": {
        "type": "string",
        "description": "ISO 8601 string to filter data based on last modified date time"
      },
      "end": {
        "type": "string",
        "description": "ISO 8601 string to filter data based on last modified date time"
      },
      "status": {
        "type": "string",
        "description": "The status of the entity"
      },
      "dateFilterType": {
        "type": "string",
        "description": "The filter type for the filtering based on different dates (possible values issuedDate, dueDate, createdDateTime, lastUpdatedDateTime)"
      },
      "invoice_number": {
        "type": "string",
        "description": "Search invoice by invoice number"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_invoices\_invoice\_id

Get Invoice By Invoice ID

**Parameters:**

| Parameter   | Type   | Required | Default | Description    |
| ----------- | ------ | -------- | ------- | -------------- |
| `invoiceId` | string | Yes      | —       | The invoice ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "invoiceId": {
        "type": "string",
        "description": "The invoice ID"
      }
    },
    "required": [
      "PCID",
      "invoiceId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_notifications\_registrations

Get Registrations List by tenantId

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_payment\_type\_by\_id

Get PaymentTypes by ID

**Parameters:**

| Parameter | Type   | Required | Default | Description   |
| --------- | ------ | -------- | ------- | ------------- |
| `id`      | string | Yes      | —       | id identifier |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "id identifier"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_payment\_types

Get PaymentTypes List

**Parameters:**

| Parameter   | Type   | Required | Default | Description                               |
| ----------- | ------ | -------- | ------- | ----------------------------------------- |
| `page`      | number | No       | —       | Page that you want to filter              |
| `page_size` | number | No       | —       | How many items should come in the request |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page that you want to filter"
      },
      "page_size": {
        "type": "number",
        "description": "How many items should come in the request"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_payments\_payment\_id

Get Payment and associated line items by paymentId

**Parameters:**

| Parameter            | Type    | Required | Default | Description                |
| -------------------- | ------- | -------- | ------- | -------------------------- |
| `paymentId`          | string  | Yes      | —       | Payment ID                 |
| `include_line_items` | boolean | No       | —       | include payment line items |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "paymentId": {
        "type": "string",
        "description": "Payment ID"
      },
      "include_line_items": {
        "type": "boolean",
        "description": "include payment line items"
      }
    },
    "required": [
      "PCID",
      "paymentId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_payments\_payment\_id\_line\_items

Get Payment line items list

**Parameters:**

| Parameter   | Type   | Required | Default | Description                               |
| ----------- | ------ | -------- | ------- | ----------------------------------------- |
| `page_size` | number | No       | —       | How many items should come in the request |
| `page`      | number | No       | —       | Page that you want to filter              |
| `paymentId` | string | Yes      | —       | Payment ID                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_size": {
        "type": "number",
        "description": "How many items should come in the request"
      },
      "page": {
        "type": "number",
        "description": "Page that you want to filter"
      },
      "paymentId": {
        "type": "string",
        "description": "Payment ID"
      }
    },
    "required": [
      "PCID",
      "paymentId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_payments\_payment\_id\_line\_items\_payment\_line\_item\_id

Get Payment line item by ID

**Parameters:**

| Parameter           | Type   | Required | Default | Description                                       |
| ------------------- | ------ | -------- | ------- | ------------------------------------------------- |
| `paymentId`         | string | Yes      | —       | Payment ID                                        |
| `paymentLineItemId` | string | Yes      | —       | ID of the amount of payment applied to an invoice |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "paymentId": {
        "type": "string",
        "description": "Payment ID"
      },
      "paymentLineItemId": {
        "type": "string",
        "description": "ID of the amount of payment applied to an invoice"
      }
    },
    "required": [
      "PCID",
      "paymentId",
      "paymentLineItemId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_get\_v1\_signing\_public\_key

Get current public key in PEM format

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_payment\_controller\_create\_external

External create Payment

**Parameters:**

| Parameter                        | Type   | Required | Default | Description                                                                         |                                                                                                                                                                                                                |
| -------------------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `accountType`                    | string | Yes      | —       | Account Type                                                                        |                                                                                                                                                                                                                |
| `bankAccountRefId`               | string | null     | No      | —                                                                                   | id of bank account in accounting application                                                                                                                                                                   |
| `billingCustomerAccountingRefId` | string | null     | No      | —                                                                                   | Either billingCustomerAccountNumber or billingCustomerAccountingRefId(reference id in Intacct) is required, Please reach out to the admin intacct admin/buildops to get list of billingCustomerAccountingRefId |
| `billingCustomerAccountNumber`   | string | null     | No      | —                                                                                   | Either billingCustomerAccountNumber or billingCustomerAccountingRefId(reference id in Intacct) is required, Please reach out to the admin intacct admin/buildops to get list of billingCustomerAccountNumber   |
| `glAccountNumber`                | string | null     | No      | —                                                                                   | Either glAccountNumber or glAccountRefId is required, Can be fetched from api /v1/gl-account                                                                                                                   |
| `glAccountRefId`                 | string | null     | No      | —                                                                                   | Either glAccountNumber or glAccountRefId is required, Can be fetched from api /v1/gl-account                                                                                                                   |
| `intacctLocationId`              | string | No       | —       | \[Intacct ONLY] Location id dimension of intacct                                    |                                                                                                                                                                                                                |
| `invoices`                       | object | No       | —       | Invoices to apply payments to                                                       |                                                                                                                                                                                                                |
| `paymentAmount`                  | number | Yes      | —       | Total payment amount across all invoices, amount will be rounded to 2 decimal place |                                                                                                                                                                                                                |
| `paymentDate`                    | string | Yes      | —       | must be a valid ISO 8601 date UTC timezone                                          |                                                                                                                                                                                                                |
| `paymentNumber`                  | string | Yes      | —       | The payment number to sync payment with                                             |                                                                                                                                                                                                                |
| `paymentTypeId`                  | string | Yes      | —       | The list of paymentTypes defined can be fetched from api /v1/payment-types          |                                                                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountType": {
        "type": "string",
        "description": "Account Type",
        "enum": [
          "UNDEPOSITED_FUNDS_ACCOUNT",
          "BANK_ACCOUNT"
        ]
      },
      "bankAccountRefId": {
        "type": [
          "string",
          "null"
        ],
        "description": "id of bank account in accounting application"
      },
      "billingCustomerAccountingRefId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Either billingCustomerAccountNumber or billingCustomerAccountingRefId(reference id in Intacct) is required, Please reach out to the admin intacct admin/buildops to get list of billingCustomerAccountingRefId"
      },
      "billingCustomerAccountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Either billingCustomerAccountNumber or billingCustomerAccountingRefId(reference id in Intacct) is required, Please reach out to the admin intacct admin/buildops to get list of billingCustomerAccountNumber"
      },
      "glAccountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Either glAccountNumber or glAccountRefId is required, Can be fetched from api /v1/gl-account"
      },
      "glAccountRefId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Either glAccountNumber or glAccountRefId is required, Can be fetched from api /v1/gl-account"
      },
      "intacctLocationId": {
        "type": "string",
        "description": "[Intacct ONLY] Location id dimension of intacct"
      },
      "invoices": {
        "type": "object",
        "description": "Invoices to apply payments to",
        "properties": {
          "createPaymentInvoices": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Create Payment Invoices"
          }
        }
      },
      "paymentAmount": {
        "type": "number",
        "description": "Total payment amount across all invoices, amount will be rounded to 2 decimal place"
      },
      "paymentDate": {
        "type": "string",
        "description": "must be a valid ISO 8601 date UTC timezone"
      },
      "paymentNumber": {
        "type": "string",
        "description": "The payment number to sync payment with"
      },
      "paymentTypeId": {
        "type": "string",
        "description": "The list of paymentTypes defined can be fetched from api /v1/payment-types"
      }
    },
    "required": [
      "PCID",
      "accountType",
      "paymentAmount",
      "paymentDate",
      "paymentNumber",
      "paymentTypeId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_post\_glaccount

Add or update general ledger accounts

**Parameters:**

| Parameter               | Type   | Required | Default | Description            |                   |
| ----------------------- | ------ | -------- | ------- | ---------------------- | ----------------- |
| `accountingApplication` | object | No       | —       | Accounting Application |                   |
| `accountingRefId`       | string | null     | No      | —                      | Accounting Ref Id |
| `accountNumber`         | string | null     | No      | —                      | Account Number    |
| `accountType`           | string | null     | No      | —                      | Account Type      |
| `gsi1`                  | string | null     | No      | —                      | The gsi1 value    |
| `gsi2`                  | string | null     | No      | —                      | The gsi2 value    |
| `gsi3`                  | string | null     | No      | —                      | The gsi3 value    |
| `lsi1`                  | string | null     | No      | —                      | The lsi1 value    |
| `lsi2`                  | string | null     | No      | —                      | The lsi2 value    |
| `lsi3`                  | string | null     | No      | —                      | The lsi3 value    |
| `lsi4`                  | string | null     | No      | —                      | The lsi4 value    |
| `lsi5`                  | string | null     | No      | —                      | The lsi5 value    |
| `name`                  | string | Yes      | —       | The name value         |                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountingApplication": {
        "description": "Accounting Application",
        "enum": [
          "intacct",
          "sage",
          "quickbooks",
          "spectrum",
          "sapb1"
        ]
      },
      "accountingRefId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Accounting Ref Id"
      },
      "accountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Number"
      },
      "accountType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Type"
      },
      "gsi1": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi1 value"
      },
      "gsi2": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi2 value"
      },
      "gsi3": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi3 value"
      },
      "lsi1": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi1 value"
      },
      "lsi2": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi2 value"
      },
      "lsi3": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi3 value"
      },
      "lsi4": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi4 value"
      },
      "lsi5": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi5 value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_post\_v1\_payment\_types

Create PaymentType

**Parameters:**

| Parameter               | Type    | Required | Default | Description            |                 |
| ----------------------- | ------- | -------- | ------- | ---------------------- | --------------- |
| `accountingApplication` | string  | No       | —       | Accounting Application |                 |
| `accountingRefId`       | string  | No       | —       | Accounting Ref Id      |                 |
| `boPaymentType`         | string  | null     | No      | —                      | Bo Payment Type |
| `isActive`              | boolean | No       | —       | Is Active              |                 |
| `name`                  | string  | Yes      | —       | The name value         |                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountingApplication": {
        "type": "string",
        "description": "Accounting Application"
      },
      "accountingRefId": {
        "type": "string",
        "description": "Accounting Ref Id"
      },
      "boPaymentType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Bo Payment Type"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_post\_v1\_payments

Create a Payment

**Parameters:**

| Parameter              | Type      | Required | Default | Description           |                     |
| ---------------------- | --------- | -------- | ------- | --------------------- | ------------------- |
| `accountingAttributes` | object    | No       | —       | Accounting Attributes |                     |
| `accountType`          | string    | null     | No      | —                     | Account Type        |
| `bankAccountId`        | string    | null     | No      | —                     | Bank Account Id     |
| `billingCustomerId`    | string    | Yes      | —       | Billing Customer Id   |                     |
| `glAccountId`          | string    | null     | No      | —                     | Gl Account Id       |
| `intacctLocationId`    | string    | null     | No      | —                     | Intacct Location Id |
| `paymentAmount`        | number    | Yes      | —       | Payment Amount        |                     |
| `paymentDate`          | string    | null     | Yes     | —                     | Payment Date        |
| `paymentInvoices`      | object\[] | No       | —       | Payment Invoices      |                     |
| `paymentNumber`        | string    | Yes      | —       | Payment Number        |                     |
| `paymentTypeId`        | string    | null     | No      | —                     | Payment Type Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountingAttributes": {
        "type": "object",
        "description": "Accounting Attributes",
        "properties": {
          "accountingRefId": {
            "type": "string",
            "description": "Accounting Ref Id"
          },
          "accountingVersion": {
            "type": "string",
            "description": "Accounting Version"
          }
        }
      },
      "accountType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Type"
      },
      "bankAccountId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Bank Account Id"
      },
      "billingCustomerId": {
        "type": "string",
        "description": "Billing Customer Id"
      },
      "glAccountId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Gl Account Id"
      },
      "intacctLocationId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Intacct Location Id"
      },
      "paymentAmount": {
        "type": "number",
        "description": "Payment Amount"
      },
      "paymentDate": {
        "type": [
          "string",
          "null"
        ],
        "description": "Payment Date"
      },
      "paymentInvoices": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "invoiceId": {
              "type": "string",
              "description": "Invoice Id"
            },
            "appliedAmount": {
              "type": "number",
              "description": "Applied Amount"
            },
            "accountingAttributes": {
              "type": "object",
              "description": "Accounting Attributes"
            }
          },
          "required": [
            "invoiceId"
          ]
        },
        "description": "Payment Invoices"
      },
      "paymentNumber": {
        "type": "string",
        "description": "Payment Number"
      },
      "paymentTypeId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Payment Type Id"
      }
    },
    "required": [
      "PCID",
      "billingCustomerId",
      "paymentAmount",
      "paymentDate",
      "paymentNumber"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_post\_v1\_syncstatus

Update Accounting Attributes by Entity

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                 |                                                                                                                                                                      |
| -------------------- | ------- | -------- | ------- | --------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `accountingEntity`   | object  | Yes      | —       | Which entity type should be updated.                                        |                                                                                                                                                                      |
| `accountingEntityId` | string  | Yes      | —       | This will update the entity's accountingRefId field.                        |                                                                                                                                                                      |
| `buildOpsEntityId`   | string  | Yes      | —       | This is the entity's Id field. The entity will be updated based on this Id. |                                                                                                                                                                      |
| `errorMessage`       | string  | null     | No      | —                                                                           | The sync error message. If status is set or success is true, the errorMessage will be ignored.                                                                       |
| `status`             | string  | null     | No      | —                                                                           | If your entity supports the `status` field, you can set it here.  It should be one of the following: `json Accepted Bid Closed Work Complete Void Work in Progress ` |
| `success`            | boolean | No       | —       | Whether the sync was successful or not.                                     |                                                                                                                                                                      |

<Expandable title="inputSchema">
  ````json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountingEntity": {
        "description": "Which entity type should be updated.",
        "enum": [
          "Customer",
          "Invoice",
          "PurchaseOrderReceipt",
          "Vendor",
          "WipReport",
          "ServiceAgreement",
          "Job",
          "Product",
          "Project",
          "CustomerProperty",
          "Payment",
          "Adjustment",
          "InventoryProduct",
          "Warehouse",
          "InventoryAccountingIntegration",
          "InventoryIssueLine"
        ]
      },
      "accountingEntityId": {
        "type": "string",
        "description": "This will update the entity's accountingRefId field."
      },
      "buildOpsEntityId": {
        "type": "string",
        "description": "This is the entity's Id field. The entity will be updated based on this Id."
      },
      "errorMessage": {
        "type": [
          "string",
          "null"
        ],
        "description": "The sync error message. If status is set or success is true, the errorMessage will be ignored."
      },
      "status": {
        "type": [
          "string",
          "null"
        ],
        "description": "If your entity supports the `status` field, you can set it here.  It should be one of the following: ```json Accepted Bid Closed Work Complete Void Work in Progress ```"
      },
      "success": {
        "type": "boolean",
        "description": "Whether the sync was successful or not."
      }
    },
    "required": [
      "PCID",
      "accountingEntity",
      "accountingEntityId",
      "buildOpsEntityId"
    ]
  }
  ````
</Expandable>

***

## buildops-accounting\_put\_v1\_gl\_account

Update GL-Account by ID

**Parameters:**

| Parameter               | Type    | Required | Default | Description            |                   |
| ----------------------- | ------- | -------- | ------- | ---------------------- | ----------------- |
| `glAccountId`           | string  | Yes      | —       | glAccountId identifier |                   |
| `accountingApplication` | object  | No       | —       | Accounting Application |                   |
| `accountingRefId`       | string  | null     | No      | —                      | Accounting Ref Id |
| `accountNumber`         | string  | null     | No      | —                      | Account Number    |
| `accountType`           | string  | null     | No      | —                      | Account Type      |
| `gsi1`                  | string  | null     | No      | —                      | The gsi1 value    |
| `gsi2`                  | string  | null     | No      | —                      | The gsi2 value    |
| `gsi3`                  | string  | null     | No      | —                      | The gsi3 value    |
| `isActive`              | boolean | null     | No      | —                      | Is Active         |
| `lsi1`                  | string  | null     | No      | —                      | The lsi1 value    |
| `lsi2`                  | string  | null     | No      | —                      | The lsi2 value    |
| `lsi3`                  | string  | null     | No      | —                      | The lsi3 value    |
| `lsi4`                  | string  | null     | No      | —                      | The lsi4 value    |
| `lsi5`                  | string  | null     | No      | —                      | The lsi5 value    |
| `name`                  | string  | No       | —       | The name value         |                   |
| `version`               | number  | No       | —       | The version value      |                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "glAccountId": {
        "type": "string",
        "description": "glAccountId identifier"
      },
      "accountingApplication": {
        "description": "Accounting Application",
        "enum": [
          "intacct",
          "sage",
          "quickbooks",
          "spectrum",
          "sapb1"
        ]
      },
      "accountingRefId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Accounting Ref Id"
      },
      "accountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Number"
      },
      "accountType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Type"
      },
      "gsi1": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi1 value"
      },
      "gsi2": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi2 value"
      },
      "gsi3": {
        "type": [
          "string",
          "null"
        ],
        "description": "The gsi3 value"
      },
      "isActive": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Is Active"
      },
      "lsi1": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi1 value"
      },
      "lsi2": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi2 value"
      },
      "lsi3": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi3 value"
      },
      "lsi4": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi4 value"
      },
      "lsi5": {
        "type": [
          "string",
          "null"
        ],
        "description": "The lsi5 value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "version": {
        "type": "number",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "glAccountId"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_put\_v1\_notifications\_registrations

Register a new callback

**Parameters:**

| Parameter     | Type   | Required | Default | Description      |
| ------------- | ------ | -------- | ------- | ---------------- |
| `callbackUrl` | string | No       | —       | Callback Url     |
| `entity`      | object | No       | —       | The entity value |
| `eventType`   | object | No       | —       | Event Type       |
| `secret`      | string | No       | —       | The secret value |
| `tenantId`    | string | No       | —       | Tenant Id        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "callbackUrl": {
        "type": "string",
        "description": "Callback Url"
      },
      "entity": {
        "description": "The entity value",
        "enum": [
          "CustomerProperty",
          "PropertyAsset",
          "CustomerRep",
          "Customer",
          "Job",
          "Visit",
          "TenantRep",
          "Address",
          "Invoice",
          "PurchaseOrder",
          "PurchaseOrderReceipt",
          "Quote",
          "Vendor",
          "Project",
          "ProjectPhaseDepartmentCostCode",
          "Payment"
        ]
      },
      "eventType": {
        "description": "Event Type",
        "enum": [
          "CREATE",
          "DELETE",
          "UPDATE"
        ]
      },
      "secret": {
        "type": "string",
        "description": "The secret value"
      },
      "tenantId": {
        "type": "string",
        "description": "Tenant Id"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_put\_v1\_payment\_types\_id

Update PaymentType

**Parameters:**

| Parameter               | Type    | Required | Default | Description            |                 |
| ----------------------- | ------- | -------- | ------- | ---------------------- | --------------- |
| `id`                    | string  | Yes      | —       | PaymentType ID         |                 |
| `accountingApplication` | string  | No       | —       | Accounting Application |                 |
| `accountingRefId`       | string  | No       | —       | Accounting Ref Id      |                 |
| `boPaymentType`         | string  | null     | No      | —                      | Bo Payment Type |
| `isActive`              | boolean | No       | —       | Is Active              |                 |
| `name`                  | string  | No       | —       | The name value         |                 |
| `version`               | number  | No       | —       | The version value      |                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "PaymentType ID"
      },
      "accountingApplication": {
        "type": "string",
        "description": "Accounting Application"
      },
      "accountingRefId": {
        "type": "string",
        "description": "Accounting Ref Id"
      },
      "boPaymentType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Bo Payment Type"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "version": {
        "type": "number",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-accounting\_put\_v1\_payments\_payment\_id\_line\_items\_line\_item\_id

Update Payment line item

**Parameters:**

| Parameter           | Type   | Required | Default | Description                                       |
| ------------------- | ------ | -------- | ------- | ------------------------------------------------- |
| `paymentId`         | string | Yes      | —       | Payment ID                                        |
| `paymentLineItemId` | string | Yes      | —       | ID of the amount of payment applied to an invoice |
| `appliedAmount`     | number | No       | —       | Applied Amount                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "paymentId": {
        "type": "string",
        "description": "Payment ID"
      },
      "paymentLineItemId": {
        "type": "string",
        "description": "ID of the amount of payment applied to an invoice"
      },
      "appliedAmount": {
        "type": "number",
        "description": "Applied Amount"
      }
    },
    "required": [
      "PCID",
      "paymentId",
      "paymentLineItemId"
    ]
  }
  ```
</Expandable>
